## libbioparser-dev 1.2.0

=== debian/changelog ===
libbioparser-dev (1.2.0-2~bpo9+1) stretch-backports; urgency=medium

  [ Andreas Tille ]
  * Rebuild for stretch-backports.

  [ Yuriy M. Kaminskiy ]
  * Adapt to zlib version 1.2.8 in Stretch to avoid backporting
    version 1.2.11

 -- Andreas Tille <tille@debian.org>  Fri, 17 Aug 2018 10:49:28 +0200

libbioparser-dev (1.2.0-2) unstable; urgency=medium

  * Do not only compile test file but also run it
  * Versioned Build-Depends: libgtest-dev (>> 1.8.0-10~)
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Fri, 03 Aug 2018 16:25:55 +0200

libbioparser-dev (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #901064)

 -- Andreas Tille <tille@debian.org>  Sat, 09 Jun 2018 22:39:51 +0200
