=== debian/control ===
Source: libbioparser-dev
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               zlib1g-dev,
               libgtest-dev (>> 1.8.0-10~)
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/libibioparser-dev
Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
Homepage: https://github.com/rvaser/bioparser/

Package: libbioparser-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
         zlib1g-dev
Description: library for parsing several formats in bioinformatics
 Bioparser is a c++ implementation of parsers for several bioinformatics
 formats. It consists of only one header file containing template parsers
 for FASTA, FASTQ, MHAP, PAF and SAM format. It also supports compressed
 files with gzip.
