## libbioparser-dev 1.2.1

=== debian/changelog ===
libbioparser-dev (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 17:31:30 +0100
