=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                cmake,
                zlib1g-dev,
                libgtest-dev (>> 1.8.0-10~)
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/libibioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/
