## libbioparser-dev 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic")
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 option(bioparser_build_tests "Build bioparser unit tests" OFF)
 
@@ -18,7 +19,9 @@
     ${PROJECT_SOURCE_DIR}/vendor/zlib
     ${PROJECT_BINARY_DIR}/vendor/zlib)
 
-add_subdirectory(vendor/zlib EXCLUDE_FROM_ALL)
+if (NOT TARGET zlib)
+    add_subdirectory(vendor/zlib EXCLUDE_FROM_ALL)
+endif()
 
 target_link_libraries(bioparser INTERFACE zlibstatic)
 
@@ -30,7 +33,9 @@
 
     add_executable(bioparser_test test/bioparser_test.cpp)
 
-    add_subdirectory(vendor/googletest/googletest EXCLUDE_FROM_ALL)
+    if (NOT TARGET gtest_main)
+        add_subdirectory(vendor/googletest/googletest EXCLUDE_FROM_ALL)
+    endif()
 
     target_link_libraries(bioparser_test bioparser gtest_main)
-endif(bioparser_build_tests)
+endif()
