=== debian/changelog ===
libbioparser-dev (2.0.1-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 16:30:32 +0100

libbioparser-dev (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 15:01:21 +0200
