=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake,
                zlib1g-dev,
                libgtest-dev (>> 1.8.0-10~)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/libibioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/
