## libbioparser-dev 2.1.2

=== debian/changelog ===
libbioparser-dev (2.1.2-1) unstable; urgency=medium

  [ Etienne Mollier ]
  * Team upload
  * Add fix for ftbfs with gcc-10 (Closes: #959465)

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 03 May 2020 16:17:01 +0200

libbioparser-dev (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Set upstream metadata fields: Name.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 07:58:56 +0200
