=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                zlib1g-dev,
                libgtest-dev (>> 1.8.0-10~)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libibioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/
+Rules-Requires-Root: no
 
 Package: libbioparser-dev
 Architecture: all
