=== debian/changelog ===
libbioparser-dev (3.0.12-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload
  * Updated patch metadata following merge of PR.

  [ Michael R. Crusoe ]
  * Update to snapshot from upstream
    https://github.com/rvaser/bioparser/commit/15c58ecce418f1f83cbd2d88020d7dac3c976a5f
  * All previous patches incorporated upstream, so remove them.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debian/patches/biosoup: snapshot of
    https://github.com/rvaser/biosoup/tree/4be6880b62a8e9fc2322ede3f69f82384f99499e

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Jan 2021 15:33:37 +0100
