=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                zlib1g-dev,
                libgtest-dev (>> 1.8.0-10~)
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/med-team/libibioparser-dev
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/med-team/libbioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/
 Rules-Requires-Root: no
