=== debian/changelog ===
libbioparser-dev (3.0.15-3) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2022 12:30:49 +0100

libbioparser-dev (3.0.15-2) unstable; urgency=medium

  * Really drop libbiosoup headers by removing the patch
    Closes: #1000856
  * Install cmake files to /usr/share/cmake to reflect the Architecture: all
    nature of the package

 -- Andreas Tille <tille@debian.org>  Wed, 01 Dec 2021 08:35:40 +0100

libbioparser-dev (3.0.15-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Build-Depends: libbiosoup-dev
    Closes: #1000856
  * Fix name of download file

 -- Andreas Tille <tille@debian.org>  Tue, 30 Nov 2021 11:47:22 +0100
