=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                zlib1g-dev,
-               libgtest-dev (>> 1.8.0-10~)
-Standards-Version: 4.5.1
+               libgtest-dev,
+               libbiosoup-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libbioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/
@@ -17,6 +18,7 @@
 Architecture: all
 Section: libdevel
 Depends: ${misc:Depends},
+         libbiosoup-dev,
          zlib1g-dev
 Description: library for parsing several formats in bioinformatics
  Bioparser is a c++ implementation of parsers for several bioinformatics
