=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

DEB_CMAKE_EXTRA_FLAGS = -Dbioparser_build_tests=ON

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; for f in obj-*/bin/*_test; do [ ! -x $$f ] || $$f; done
endif

override_dh_install:
	dh_install
	mv debian/`dh_listpackages`/usr/lib/*/cmake debian/`dh_listpackages`/usr/share
	rm -rf debian/`dh_listpackages`/usr/lib
