## libbioparser-dev 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.11)
 
-project(bioparser VERSION 3.0.15
+project(bioparser VERSION 3.1.0
                   LANGUAGES CXX
                   DESCRIPTION "Bioparser is a c++ header only parsing library for several formats in bioinformatics (FASTA/Q, MHAP/PAF/SAM), with support for zlib compressed files.")
 
@@ -22,7 +22,7 @@
 find_package(ZLIB 1.2.8 REQUIRED)
 
 if (bioparser_build_tests)
-  find_package(biosoup 0.10.0 QUIET)
+  find_package(biosoup 0.11.0 QUIET)
   find_package(GTest 1.10.0 QUIET)
 
   if (NOT biosoup_FOUND)
@@ -31,7 +31,7 @@
     FetchContent_Declare(
       biosoup
       GIT_REPOSITORY https://github.com/rvaser/biosoup
-      GIT_TAG 0.10.0)
+      GIT_TAG 0.11.0)
 
     FetchContent_GetProperties(biosoup)
     if (NOT biosoup_POPULATED)
@@ -102,6 +102,9 @@
 endif ()
 
 if (bioparser_build_tests)
+  set(BIOPARSER_TEST_DATA "${PROJECT_SOURCE_DIR}/test/data/")
+  configure_file(test/bioparser_test_config.h.in bioparser_test_config.h)
+
   add_executable(bioparser_test
     test/parser_test.cpp
     test/fasta_parser_test.cpp
@@ -115,6 +118,6 @@
     biosoup::biosoup
     GTest::Main)
 
-  target_compile_definitions(bioparser_test
-    PRIVATE TEST_DATA="${PROJECT_SOURCE_DIR}/test/data/")
+  target_include_directories(bioparser_test PUBLIC
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
 endif ()
