=== meson_options.txt ===
#########
# Tests #
#########

option('tests',
  type : 'boolean',
  value : true,
  description : 'Enable dependencies required for testing')
