=== debian/changelog ===
libbioparser-dev (3.1.0-2) unstable; urgency=medium

  * Team Upload.
  * Disable a test on 32 bit arch
  * Tighten B-D on libbiosoup-dev

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 May 2025 20:53:43 +0530

libbioparser-dev (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * d/control: needs at least version 0.11.0 of libbiosoup-dev.
  * d/rules: Don't install the Meson build file into /usr/include.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Mar 2024 17:16:50 +0100
