=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                cmake,
                zlib1g-dev,
                libgtest-dev,
-               libbiosoup-dev
-Standards-Version: 4.6.1
+               libbiosoup-dev (>= 0.11.0-3~)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libbioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/
