=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	set -e -x; for f in obj-*/bin/*_test; do [ ! -x $$f ] || $$f; done
 endif
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	mv debian/`dh_listpackages`/usr/lib/*/cmake debian/`dh_listpackages`/usr/share
 	rm -rf debian/`dh_listpackages`/usr/lib
+	find debian -name meson.build -delete
